aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Meier <maekke@gentoo.org>2017-02-16 22:27:52 +0100
committerMarkus Meier <maekke@gentoo.org>2017-02-16 22:27:52 +0100
commit56362775eee1c459fdaf9194662192f2133f08d8 (patch)
treee515531814bd4f06404548ff1f7abc89ecc7a801 /scripts
parentmedia-gfx/darktable: add libsoup dep for bug #608012 (diff)
downloadmaekke-56362775eee1c459fdaf9194662192f2133f08d8.tar.gz
maekke-56362775eee1c459fdaf9194662192f2133f08d8.tar.bz2
maekke-56362775eee1c459fdaf9194662192f2133f08d8.zip
git pull/push only once per bug and not for each package
Signed-off-by: Markus Meier <maekke@gentoo.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/keyword.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/keyword.sh b/scripts/keyword.sh
index 59629bd..c9348d0 100755
--- a/scripts/keyword.sh
+++ b/scripts/keyword.sh
@@ -90,13 +90,14 @@ for pkg in ${pkgs} ; do
repoman manifest || die "repoman manifest failed"
repoman full --include-arches "${arches//\~/}" || die "repoman full failed on modified tree"
repoman commit --include-arches "${arches//\~/}" -m "${msg}" || die "repoman commit failed"
- git pull --rebase=preserve || die "git pull failed"
- git push --signed || die "git push failed"
else
echo "nothing to do here"
fi
done
+git pull --rebase=preserve || die "git pull failed"
+git push --signed || die "git push failed"
+
if [[ ${arches:0:1} == "~" ]] ; then
echo "removing arches from KEYWORDREQ bug unsupported atm"
exit 0